import store from '../store/store'
import * as types from '../store/mutations-types.js'
let flag = true
export default (error, reject) => {
	if (error.code != undefined && error.code != 0) {
		switch (error.code + '') {
			//9001 错误：用户token 过期
			case '401':
				store.commit(types.SET_USER_TOKEN, null)
        console.log(flag, '-------flag-----------');
        if (flag) {
		  uni.redirectTo({
		    url: '/pages/login/login'
		  })
          // store.dispatch(types.SHOW_ALERT, {
          //   msg: '用户已登出，请重新登陆',
          //   onHide: () => {
          //     uni.redirectTo({
          //       url: '/pages/login/login'
          //     })
          //     flag = true
          //   }
          // })
        }
				break;
			// order/getWarehousingOrder {"code":301,"errorMsg":"该订单属于义乌仓货物，请核实订单信息。"}
			case '301':
				store.dispatch(types.SHOW_ALERT, {
					msg: error.msg||'错误',
					onHide: () => {
						
					}
				})
				break
			default:
				store.dispatch(types.SHOW_TOAST, {
					msg: error.msg
				})
		}

	} else {
		//默认弹窗展示出错信息
		store.dispatch(types.SHOW_TOAST, {
			msg: '网络异常'
		})
	}
	reject()
}
